(function($) {
    "use strict";

    // Toggle light/dark mode
    $(".switch").on("click", function() {
        $("body").toggleClass("light");
        $(".switch").toggleClass("switched");
    });

    $(document).ready(function() {
        var path = document.querySelector(".progress-wrap path");

        if (path) {
            var totalLength = path.getTotalLength();
            path.style.transition = path.style.WebkitTransition = "none";
            path.style.strokeDasharray = totalLength + " " + totalLength;
            path.style.strokeDashoffset = totalLength;
            path.getBoundingClientRect();
            path.style.transition = path.style.WebkitTransition = "stroke-dashoffset 10ms linear";

            var updatePathOffset = function() {
                var scrollOffset = $(window).scrollTop();
                var documentHeight = $(document).height() - $(window).height();
                var newOffset = totalLength - scrollOffset * totalLength / documentHeight;
                path.style.strokeDashoffset = newOffset;
            };

            updatePathOffset();

            $(window).scroll(updatePathOffset);

            $(window).on("scroll", function() {
                if ($(this).scrollTop() > 50) {
                    $(".progress-wrap").addClass("active-progress");
                } else {
                    $(".progress-wrap").removeClass("active-progress");
                }
            });

            $(".progress-wrap").on("click", function(e) {
                e.preventDefault();
                $("html, body").animate({ scrollTop: 0 }, 550);
                return false;
            });
        }
    });

})(jQuery);
